Subject: Re: I-D ACTION:draft-van-beijnum-v6ops-connect-method-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Mon, 09 Jul 2007 10:21:12 +0200

I'd be more excited if there was a way to make
a generic transport relay that would also supply
UDP, DCCP and SCTP connectivity.

     Brian

---

From: Rémi Denis-Courmont <[email-masked]>
Date: Mon, 9 Jul 2007 12:33:22 +0200

On Mon, 09 Jul 2007 10:21:12 +0200, Brian E Carpenter

> UDP, DCCP and SCTP connectivity.

TURN and/or SOCKS5 could be extended to support DCCP and SCTP, and already

support UDP.

That being said, I doubt there is much practical value in supporting DCCP,

SCTP (and UDP-Lite) in IPv4 since they will crash on the first

NAT/firewall. And even while there are NATs and firewalls stacks that

support these, they tend to be disabled by default.

There is another limitation with draft-van-beijnum-v6ops-connect-method by

the way: if the proxy is multi-homed it might not be safe to make multiple

"related" connections. For instance, FTP, even in PASSIVE mode may fail if

the proxy picks a different source address for the control and data

connections.

Overall, I am not sure if this is really useful as SOCKS5 already provide a

superset of the functionality (in particular, it supports UDP and incoming

TCP, and lets the client know the external IP/port binding). I know that

HTTP proxies are more common, but most of them only allow outbound port 443

and fall out of the scope of this document. And thenm we also have

TURN+TURN-IPv6 in BEHAVE wg.

Three methods different protocols to do the same thing might be more than

we want...

Regards,

-- 

Rémi

---

From: Jeroen Massar <[email-masked]>
Date: Mon, 09 Jul 2007 12:01:22 +0100

Rémi Denis-Courmont wrote:
[..]
> TURN and/or SOCKS5 could be extended to support DCCP and SCTP, and already

Some very nice related tool on this:

http://www.freecap.ru/eng/?p=index

Now only if I had spare time, I would implement something similar but in
combination with AICCU thus allowing any app to do IPv6 all of a sudden.
And of course AYIYA over DNS + AYIYA over HTTP/SOCKS :)

Greets,
 Jeroen